package de.intevation.flys.exports;

import java.io.IOException;

import org.apache.log4j.Logger;

import org.jfree.data.xy.DefaultXYDataset;

import org.w3c.dom.Document;

import de.intevation.artifacts.Artifact;

import de.intevation.flys.artifacts.WINFOArtifact;
import de.intevation.flys.artifacts.model.WQKms;


/**
 * An OutGenerator that generates discharge curves.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class LongitudinalSectionGenerator extends ChartGenerator {

    /** The logger that is used in this generator.*/
    private static Logger logger =
        Logger.getLogger(LongitudinalSectionGenerator.class);


    protected DefaultXYDataset dataset;


    public LongitudinalSectionGenerator() {
        super();

        this.dataset = new DefaultXYDataset();
    }


    public void doOut(Artifact artifact, String facet, Document attr) {
        logger.debug("LongitudinalSectionGenerator.doOut: " + facet);

        WINFOArtifact winfoArtifact = (WINFOArtifact) artifact;
        WQKms[]       wqkms         = winfoArtifact.getWaterlevelData();

        logger.debug("Got " + wqkms.length + " WQKms objects.");
    }


    public void generate()
    throws IOException
    {
        logger.debug("LongitudinalSectionGenerator.generate");

        // TODO Implement me!
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
